EntityEvents.hurt('minecraft:evoker', event => {
    const player = event.source.player
    const mob = event.entity

    if (event.source.getType() === 'mob') {
        event.cancel ();
    }
})

EntityEvents.hurt('mowziesmobs:bluff', event => {
    const player = event.source.player
    const mob = event.entity

    if (event.source.getType() === 'indirectMagic') {
        event.cancel ();
    }
})